How to Migrate PBL Files for Use with Later Versions of InfoMaker (Doc ID 904559.1)

Last updated on JULY 05, 2016

Applies to:

Primavera Contract Management - Version 8.0 to 13.1 SP3 [Release 8.0 to 13]
All Platforms

Goal

Different versions of Contract Management require different versions of InfoMaker. 

This chart can be used to determine which Contract Management version is compatible with which InfoMaker version.

Contract ManagementInfoMaker
8.0 6.5 & 7.0
8.5 - 10.x 7.0
11.x - 13.0 10.5
*13.1 12.0
14.0 and later Uses Oracle BI Publisher for reporting tool.

 

*PBL migration steps are outlined in the Contract Management 13.1 Install Guide.

 

When upgrading to a later version of Contract Management, it may be necessary to also upgrade your version of InfoMaker.  If you upgrade InfoMaker, you will also need to migrate your Report and Form PBL libraries to be compatible with Contract Management and InfoMaker.  Failure to migrate your PBLs will result in the following errors:

 

Note: Migrating PBLs does not impact the content or design of a report or form.  It only upgrades their compatibility to a later version of InfoMaker.  All customizations will remain intact following a migration.

Solution

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms